try-emacs-mua: Trim `require' advice for Emacs 25
[notmuch] / .travis.yml
1 language: c
2
3 dist: bionic
4
5 addons:
6   apt:
7     sources:
8     - sourceline: 'ppa:xapian-backports/ppa'
9     packages:
10     - dtach
11     - libxapian-dev
12     - libgmime-3.0-dev
13     - libtalloc-dev
14     - python3-sphinx
15     - python3-cffi
16     - python3-pytest
17     - python3-setuptools
18     - libpython3-all-dev
19     - gpgsm
20
21 script:
22   - ./configure
23   - make test
24
25 notifications:
26   irc:
27     channels:
28       - "chat.freenode.net#notmuch"
29     on_success: change